package com.ruoyi.goods.service;

import java.util.List;
import com.ruoyi.goods.domain.TCanteenMenu;

/**
 * 菜单Service接口
 * 
 * @author ruoyi
 * @date 2025-04-22
 */
public interface ITCanteenMenuService 
{
    /**
     * 查询菜单
     * 
     * @param menuId 菜单主键
     * @return 菜单
     */
    public TCanteenMenu selectTCanteenMenuByMenuId(Long menuId);

    /**
     * 查询菜单列表
     * 
     * @param tCanteenMenu 菜单
     * @return 菜单集合
     */
    public List<TCanteenMenu> selectTCanteenMenuList(TCanteenMenu tCanteenMenu);

    /**
     * 新增菜单
     * 
     * @param tCanteenMenu 菜单
     * @return 结果
     */
    public int insertTCanteenMenu(TCanteenMenu tCanteenMenu);

    /**
     * 修改菜单
     * 
     * @param tCanteenMenu 菜单
     * @return 结果
     */
    public int updateTCanteenMenu(TCanteenMenu tCanteenMenu);

    /**
     * 批量删除菜单
     * 
     * @param menuIds 需要删除的菜单主键集合
     * @return 结果
     */
    public int deleteTCanteenMenuByMenuIds(Long[] menuIds);

    /**
     * 删除菜单信息
     * 
     * @param menuId 菜单主键
     * @return 结果
     */
    public int deleteTCanteenMenuByMenuId(Long menuId);
}
